import adapay

adapay.config_path = 'config_folder_path'
adapay.init_config("merchant_id", True)

# -------------创建结算账户-------------
settle_account = adapay.Account.create_settle(app_id='app_id',
                                              member_id='member_id',
                                              channel='bank_account',
                                              account_info={
                                                  'card_id': 'card_id',
                                                  'card_name': '测试账户',
                                                  'cert_id': 'id_card_num',
                                                  'cert_type': '00',
                                                  'tel_no': '18888888888',
                                                  'bank_code': '03060000',
                                                  'bank_acct_type': '1',
                                                  'prov_code': '0031',
                                                  'area_code': '3100'
                                              })
print('create settle account is \n:' + str(settle_account))

# -------------查询结算账户-------------
settle_account = adapay.Account.query_settle(app_id='app_id',
                                             member_id='member_id',
                                             # 创建结算账户返回中的id
                                             settle_account_id='settle_account_id')
print('query settle account is \n:' + str(settle_account))

# -------------修改结算账户-------------
settle_account = adapay.Account.modify_settle(app_id='app_id',
                                              member_id='member_id',
                                              settle_account_id='settle_account_id',
                                              min_amt='min_amt',
                                              remained_amt='remained_amt')
print('modify settle account is \n' + str(settle_account))

# -------------删除结算账户-------------
settle_account = adapay.Account.delete_settle(app_id='app_id',
                                              member_id='member_id',
                                              settle_account_id='settle_account_id')

print('delete settle account is \n:' + str(settle_account))

# -------------查询结算账户明细-------------
settle_account_detail = adapay.Account.query_settle_details(app_id='app_id',
                                                            member_id='member_id',
                                                            begin_date='begin_date',
                                                            end_date='end_date')

# -------------查询结算余额-------------
balance_query = adapay.Account.query_balance(app_id='app_id',
                                             member_id='member_id',
                                             settle_account_id='settle_account_id')

# -------------余额取现-------------
draw_result = adapay.Account.draw_cash(order_no='order_no',
                                       app_id='app_id',
                                       cash_type='T1',
                                       cash_amt='0.02',
                                       member_id='member_id',
                                       notify_url='https://www.baidu.com')
