import adapay

# config_path 需要替换为有效配置路径，第二个布尔值True表示真实交易，False表示虚拟交易
adapay.config_path = 'config_folder_path'
adapay.init_config("merchant_id", True)

# 创建订单请求
payment = adapay.Payment.create(order_no='order_no',
                                app_id='app_f8b14a77-dc24-433b-864f-98a62209d6c4',
                                pay_channel='alipay_qr',
                                pay_amt='0.01',
                                goods_title='subject',
                                goods_desc='body',
                                # -------如果需要分账-------
                                # div_members=[{'member_id': 'member_id',
                                #               'amount': '0.01',
                                #               'fee_flag': 'N'}],
                                # -------以上为必填参数，以下为非必填参数-------
                                )
# 其余字段请参考 api-site 文档
# https://docs.adapay.tech/api/04-trade.html#id2
if payment['status'] == 'succeeded':
    print('payment 对象获取成功')

else:
    print('payment 对象获取失败')

payment = adapay.Payment.query(payment_id='payment_id')
if payment['status'] == 'succeeded':
    print('payment 查询成功')

else:
    print('payment 查询失败')

# 关闭订单请求
payment = adapay.Payment.close(payment_id='payment_id',
                               # 非必填
                               reason='close_test',
                               expend={'test_key': 'test_value'})

if payment['status'] == 'succeeded':
    print('payment 对象获取成功')

else:
    print('payment 对象获取失败')

result = adapay.Payment.create_confirm(payment_id='payment_id',
                                       order_no='order_no',
                                       confirm_amt='0.01')

result = adapay.Payment.query_confirm(payment_confirm_id='payment_confirm_id')

result = adapay.Payment.query_confirm_list(app_id='app_id',
                                           created_gte='1571734200000',
                                           created_lte='1571738400000')

result = adapay.Payment.create_reverse(payment_id='payment_id',
                                       app_id='app_id',
                                       order_no='order_no',
                                       reverse_amt='0.01')

payment = adapay.Payment.query_reverse(reverse_id='reverse_id')

payment = adapay.Payment.query_reverse_list(app_id='app_id')
