import adapay
from adapay.message_manager import get_message_manager

adapay.init_config("config_path", True)

message_manager = get_message_manager()


# 获取长连接及订阅状态回调方法，可以不设置，这里建议设置以便于实时监听连接状态
def on_connected(resp_code):
    if resp_code == 0:
        print('长连接建立成功')
    else:
        print('长连接建立失败')


message_manager.set_connect_callback(on_connected)


def on_subscribe(resp_code):
    if resp_code == 0:
        print('消息订阅成功')
    else:
        print('消息订阅失败')


message_manager.set_subscribe_callback(on_subscribe)


# 获取到消息内容回调方法
def on_message_receiced(message_dict):
    print(message_dict['type'])
    print('on_message_receive:' + str(message_dict))


message_manager.set_received_callback(on_message_receiced)
# 开启订阅消息任务 建议在服务启动就开始监听，保证建立长连接始终能获取到异步交易结果
message_manager.subscribe()
